# class Puma::MiniSSL::Server

### Public Class Methods

new(socket, ctx) click to toggle source

    # File lib/puma/minissl.rb, line 226
    def initialize(socket, ctx)
      @socket = socket
      @ctx = ctx
    end

### Public Instance Methods

accept() click to toggle source

    # File lib/puma/minissl.rb, line 235
    def accept
      @ctx.check
      io = @socket.accept
      engine = Engine.server @ctx

      Socket.new io, engine
    end

accept_nonblock() click to toggle source

    # File lib/puma/minissl.rb, line 243
    def accept_nonblock
      @ctx.check
      io = @socket.accept_nonblock
      engine = Engine.server @ctx

      Socket.new io, engine
    end

close() click to toggle source

    # File lib/puma/minissl.rb, line 251
    def close
      @socket.close unless @socket.closed?       # closed? call is for Windows
    end

to_io() click to toggle source

    # File lib/puma/minissl.rb, line 231
    def to_io
      @socket
    end